Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class DeploymentNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--weblogic.management.DeploymentNotification

public final class DeploymentNotification
extends javax.management.Notification

Defines a management notification of deployment events. Application deployment events are sent to associated ApplicationMBeans. The event types are as defined by the public fields. To receive deployment notifications, the client application must register a NotificationListener and optionally, NotificationFilter, with the ApplicationMBean that describes the application being deployed.

The notification message sent for application events are String objects of the form: phase.server.application. eg preparing.myserver.myapp. The notification message sent for module events are String objects of the form: server.app.module.transition.currstate.targetstate. eg servername.appname.modname.begin.unprepared.prepared

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTIVATED` The application successfully completed it activation phase.
`static java.lang.String` | `ACTIVATING` The application is beginning its activation phase.
`static java.lang.String` | `DEACTIVATED` The application successfully completed its deactivation phase.
`static java.lang.String` | `DEACTIVATING` The application is beginning a deactivation phase.
`static java.lang.String` | `DISTRIBUTED` Application files got copied to the target's staging area
`static java.lang.String` | `DISTRIBUTING` Application files are being copied to the target's staging directory
`static java.lang.String` | `FAILED` The last operation on the application failed and resulted in the application being placed in a failed state.
`static java.lang.String` | `PREPARED` The application successfully completed its prepare phase.
`static java.lang.String` | `PREPARING` The application is beginning a prepare phase.
`static java.lang.String` | `STATE_ACTIVE` State indicating the application or module is active and running.
`static java.lang.String` | `STATE_PREPARED` State indicating the application or module is ready for activation.
`static java.lang.String` | `STATE_START` State indicating an application's files are not available on the target server.
`static java.lang.String` | `STATE_UNPREPARED` State indicating the application or module is not ready for activation.
`static java.lang.String` | `TRANSITION_BEGIN` Indicates a state transition is occurring for the current state to a target state.
`static java.lang.String` | `TRANSITION_END` Indicates a state transition was successfully completed.
`static java.lang.String` | `TRANSITION_FAILED` Indicates a state transition failed.
`static java.lang.String` | `TYPE_APPLICATION` Notification type indicating this is an application level notification.
`static java.lang.String` | `TYPE_MODULE` Notification type indicating this is a module level notification.
`static java.lang.String` | `UNPREPARED` The application successfully completed its unprepare phase.
`static java.lang.String` | `UNPREPARING` The application is beginning its unprepare phase.

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`java.lang.String` | `getAppName()` Idenitifies the application involved in the notification.
`static long` | `getChangeNotificationCount()`
`java.lang.String` | `getCurrentState()` Current state of module.
`java.lang.String` | `getModuleName()` Module associated with a module based event (isModuleNotification() returns true).
`java.lang.String` | `getPhase()` Identifies the phase on an application deployment task: DISTRIBUTING, DISTRIBUTED, PREPARING, PREPARED, ACTIVATING, ACTIVATED, UNPREPARING, or UNPREPARED.
`java.lang.String` | `getServerName()` The server name where the deployment took place.
`java.lang.String` | `getTargetState()` Target state of module or application.
`java.lang.String` | `getTransition()` Transition associated with a deployment event.
`boolean` | `isAppNotification()` indicates that this notification is an application level notification, one that reports changes based on the application deployment status.
`boolean` | `isBeginTransition()` Inidicates whether this notification marks the beginning of a state transition
`boolean` | `isEndTransition()` Inidicates whether this notification marks the end of a state transition
`boolean` | `isFailedTransition()` Inidicates a failed transition
`boolean` | `isModuleNotification()` indicates that this is a modules level notification, one that reports changes based on modules deployment status.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREPARING

    public static final java.lang.String PREPARING

  The application is beginning a prepare phase. This notification is sent just prior to the application modules being validated on a managed server by the relevant container subsystems. This is an application level notification.

### PREPARED

    public static final java.lang.String PREPARED

  The application successfully completed its prepare phase. This notification is sent after a successful validation of the application modules on a managed server by the relevant container subsystems. This is an application level notification.

### ACTIVATING

    public static final java.lang.String ACTIVATING

  The application is beginning its activation phase. This notification is sent just prior to the application modules being loaded on a managed server by the relevant container subsystems. This is an application level notification.

### ACTIVATED

    public static final java.lang.String ACTIVATED

  The application successfully completed it activation phase. This notification is sent after successfully activating all application modules on a managed server. This is an application level notification.

### DEACTIVATING

    public static final java.lang.String DEACTIVATING

  The application is beginning a deactivation phase. This notification is sent just prior to the application modules being deactivated (suspended) on a managed server by the relevant container subsystems. This is an application level notification.

### DEACTIVATED

    public static final java.lang.String DEACTIVATED

  The application successfully completed its deactivation phase. This notification is sent after successfully deactivating application modules on a managed server by the relevant container subsystems. This is an application level notification.

### UNPREPARING

    public static final java.lang.String UNPREPARING

  The application is beginning its unprepare phase. The module classes are being unloaded. This notification is sent just prior to the application modules being unloaded on a managed server by the relevant container subsystems. This is an application level notification.

### UNPREPARED

    public static final java.lang.String UNPREPARED

  The application successfully completed its unprepare phase. The application is inactive and its classes are not loaded. This notification is sent after successfully unpreparing application modules on a managed server by the relevant container subsystems. This is an application level notification.

### FAILED

    public static final java.lang.String FAILED

  The last operation on the application failed and resulted in the application being placed in a failed state. Current and target states are undefined for failed deployments. This is an application level notification.

### DISTRIBUTING

    public static final java.lang.String DISTRIBUTING

  Application files are being copied to the target's staging directory

### DISTRIBUTED

    public static final java.lang.String DISTRIBUTED

  Application files got copied to the target's staging area

### TYPE_APPLICATION

    public static final java.lang.String TYPE_APPLICATION

  Notification type indicating this is an application level notification. Application notifications are reported as transitions from one state to a new state. The states apply only to the task at hand, which may not include all modules. True state of an application is, in fact, a composite state. The possible states are defined by STATE_START, STATE_UNPREPARED, STATE_PREPARED, and STATE_ACTIVE.

### TYPE_MODULE

    public static final java.lang.String TYPE_MODULE

  Notification type indicating this is a module level notification. Module notifications are reported as transitions from one state to a new state. The possible states are defined by STATE_UNPREPARED, STATE_PREPARED, and STATE_ACTIVE.

### TRANSITION_BEGIN

    public static final java.lang.String TRANSITION_BEGIN

  Indicates a state transition is occurring for the current state to a target state.

### TRANSITION_END

    public static final java.lang.String TRANSITION_END

  Indicates a state transition was successfully completed. The new state is indicated by the target state.

### TRANSITION_FAILED

    public static final java.lang.String TRANSITION_FAILED

  Indicates a state transition failed. Current and target states are undefined.

### STATE_UNPREPARED

    public static final java.lang.String STATE_UNPREPARED

  State indicating the application or module is not ready for activation.

### STATE_PREPARED

    public static final java.lang.String STATE_PREPARED

  State indicating the application or module is ready for activation.

### STATE_ACTIVE

    public static final java.lang.String STATE_ACTIVE

  State indicating the application or module is active and running.

### STATE_START

    public static final java.lang.String STATE_START

  State indicating an application's files are not available on the target server. This state only applies to application notifications.

Method Detail

### getChangeNotificationCount

    public static long getChangeNotificationCount()

### getPhase

    public java.lang.String getPhase()

  Identifies the phase on an application deployment task: DISTRIBUTING, DISTRIBUTED, PREPARING, PREPARED, ACTIVATING, ACTIVATED, UNPREPARING, or UNPREPARED. Phase only applies to application level notifications.

### getAppName

    public java.lang.String getAppName()

  Idenitifies the application involved in the notification.

### getServerName

    public java.lang.String getServerName()

  The server name where the deployment took place.

### getModuleName

    public java.lang.String getModuleName()

  Module associated with a module based event (isModuleNotification() returns true).

### getTransition

    public java.lang.String getTransition()

  Transition associated with a deployment event. For modules the current and target states are accurate. For applications, the transition applies only to specific modules in the associated deployment request.

### isEndTransition

    public boolean isEndTransition()

  Inidicates whether this notification marks the end of a state transition

### isBeginTransition

    public boolean isBeginTransition()

  Inidicates whether this notification marks the beginning of a state transition

### isFailedTransition

    public boolean isFailedTransition()

  Inidicates a failed transition

### getCurrentState

    public java.lang.String getCurrentState()

  Current state of module.

### getTargetState

    public java.lang.String getTargetState()

  Target state of module or application.

### isAppNotification

    public boolean isAppNotification()

  indicates that this notification is an application level notification, one that reports changes based on the application deployment status.

### isModuleNotification

    public boolean isModuleNotification()

  indicates that this is a modules level notification, one that reports changes based on modules deployment status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD